# Class Fixture

java.lang.Object
com.codename1.gaming.physics.box2d.dynamics.Fixture

public class Fixture extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Body`
  `m_body`
  `float`
  `m_density`
  `final Filter`
  `m_filter`
  `float`
  `m_friction`
  `boolean`
  `m_isSensor`
  `Fixture`
  `m_next`
  `FixtureProxy[]`
  `m_proxies`
  `int`
  `m_proxyCount`
  `float`
  `m_restitution`
  `Shape`
  `m_shape`
  `Object`
  `m_userData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Fixture()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `create(Body body, FixtureDef def)`
  `void`
  `createProxies(BroadPhase broadPhase, Transform xf)`
  `void`
  `destroy()`
  `void`
  `destroyProxies(BroadPhase broadPhase)`
  `void`
  `dump(int bodyIndex)`
  `AABB`
  `getAABB(int childIndex)`
  `Body`
  `getBody()`
  `float`
  `getDensity()`
  `Filter`
  `getFilterData()`
  `float`
  `getFriction()`
  `void`
  `getMassData(MassData massData)`
  `Fixture`
  `getNext()`
  `float`
  `getRestitution()`
  `Shape`
  `getShape()`
  `ShapeType`
  `getType()`
  `Object`
  `getUserData()`
  `boolean`
  `isSensor()`
  `boolean`
  `raycast(RayCastOutput output, RayCastInput input, int childIndex)`
  `void`
  `refilter()`
  `void`
  `setDensity(float density)`
  `void`
  `setFilterData(Filter filter)`
  `void`
  `setFriction(float friction)`
  `void`
  `setRestitution(float restitution)`
  `void`
  `setSensor(boolean sensor)`
  `void`
  `setUserData(Object data)`
  `protected void`
  `synchronize(BroadPhase broadPhase, Transform transform1, Transform transform2)`
  `boolean`
  `testPoint(Vec2 p)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### m_density

    public float m_density

  - ### m_next

    public Fixture m_next

  - ### m_body

    public Body m_body

  - ### m_shape

    public Shape m_shape

  - ### m_friction

    public float m_friction

  - ### m_restitution

    public float m_restitution

  - ### m_proxies

    public FixtureProxy[] m_proxies

  - ### m_proxyCount

    public int m_proxyCount

  - ### m_filter

    public final Filter m_filter

  - ### m_isSensor

    public boolean m_isSensor

  - ### m_userData

    public Object m_userData

- ## Constructor Details

  - ### Fixture

    public Fixture()

- ## Method Details

  - ### getType

    public ShapeType getType()

  - ### getShape

    public Shape getShape()

  - ### isSensor

    public boolean isSensor()

  - ### setSensor

    public void setSensor(boolean sensor)

  - ### setFilterData

    public void setFilterData(Filter filter)

  - ### getFilterData

    public Filter getFilterData()

  - ### refilter

    public void refilter()

  - ### getBody

    public Body getBody()

  - ### getNext

    public Fixture getNext()

  - ### setDensity

    public void setDensity(float density)

  - ### getDensity

    public float getDensity()

  - ### getUserData

    public Object getUserData()

  - ### setUserData

    public void setUserData(Object data)

  - ### testPoint

    public boolean testPoint(Vec2 p)

  - ### raycast

    public boolean raycast(RayCastOutput output, RayCastInput input, int childIndex)

  - ### getMassData

    public void getMassData(MassData massData)

  - ### getFriction

    public float getFriction()

  - ### setFriction

    public void setFriction(float friction)

  - ### getRestitution

    public float getRestitution()

  - ### setRestitution

    public void setRestitution(float restitution)

  - ### getAABB

    public AABB getAABB(int childIndex)

  - ### dump

    public void dump(int bodyIndex)

  - ### create

    public void create(Body body, FixtureDef def)

  - ### destroy

    public void destroy()

  - ### createProxies

    public void createProxies(BroadPhase broadPhase, Transform xf)

  - ### destroyProxies

    public void destroyProxies(BroadPhase broadPhase)

  - ### synchronize

    protected void synchronize(BroadPhase broadPhase, Transform transform1, Transform transform2)